<?

/* newtopic.php - Create a new topic (c) 2001/2002 The X-Crew */
/* translated by DFME <dfme@bluemail.ch> */

require_once("auth.php");
require_once("mailsettings.php");

$forum_data = get_forum_data($forum_id);

if($user_logged_in != 1) { // Check if user is logged in
	echo navbar("<a class=\"navbar\" href=\"index.php?mode=viewforum&forum_id=$forum_id$MYSID2\">$forum_data[name]</a>Access denied");
	include("templates/nli.php");
}

elseif($forum_data[status] == "4" && $user_data[status] != 1 && test_mod($forum_id,$user_id) != 1) { //Checks if forum is read only
	echo navbar("<a class=\"navbar\" href=\"index.php?mode=viewforum&forum_id=$forum_id$MYSID2\">$forum_data[name]</a>Access denied");
	include("templates/readonly.php");
}

elseif($forum_data[status] == "3" && $user_data[status] != 1 && test_mod($forum_id,$user_id) != 1 && check_user_access($user_id,$forum_id) != 1) { // Checks if forum is private
	echo navbar("Access denied");
	include("templates/priv_na.php");
}

elseif($user_data[status] == 4 || $user_data[status] == 5) { // Checks if the logged in user's banned (or deleted, very unlikely)
	echo navbar("<a class=\"navbar\" href=\"index.php?mode=viewforum&forum_id=$forum_id$MYSID2\">$forum_data[name]</a>Access denied");
	include("templates/banned.php");
}

else {
	$showformular = 1;
	$post = trim(mutate($post)); $title = trim(mutate($title)); // Free the topic and title of unecessary free spaces and convert special characters
	if($save == "yes" && !$preview) {
		if($title == "") $fehler = "Please enter a title!";
		else {
			$showformular = 0;
			$new_id = myfile("foren/$forum_id-ltopic.xbb"); $new_id = $new_id[0]+1; // Add a new topic-ID
			$post = nlbr($post); // convert \r \n's of the post to <br>
			$datum = mydate(); // Set date
			$towrite = "open$title"."$user_id"."$tsmilie"."$sendmail2"."".time()."\r\n"."1$user_id"."$datum"."$post"."$REMOTE_ADDR"."$show_signatur"."$tsmilie"."$smilies"."$use_upbcode"."$use_htmlcode"."\r\n"; // Preformat what needs to be stored
			myfwrite("foren/$forum_id-threads.xbb","$new_id\r\n","a"); myfwrite("foren/$forum_id-$new_id.xbb",$towrite,"w"); myfwrite("foren/$forum_id-ltopic.xbb",$new_id,"w"); // Write all data
			increase_topic_number($forum_id); increase_posts_number($forum_id); increase_user_posts($user_id); update_last_post($forum_id,$datum,$user_id,$new_id); // Increment posts and topics each by one. Update the last topic of the forum
			if($forum_data[status] != 3 && $forum_data[status] != 5) {
				update_last_posts($forum_id,$new_id,$user_id,$datum);
				update_today_posts($forum_id,$new_id,$user_id,$datum);
			}

			// Code for "Contact moderators"
				if($forum_data[smstatus] == 1) {
					$forum_mods = explode(",",$forum_data[mods]);
					for($i = 0; $i < sizeof($forum_mods); $i++) {
						$tosend = $new_topic_text."\n$adress_to_forum/index.php?upb=readforum&mode=viewthread&forum_id=$forum_id&thread=$new_id";
						mymail(get_user_email($forum_mods[$i]),"The forum has a new topic \"$forum_data[name]\"",$tosend);
					}
				}
			// End of "Contact moderators"

			mylog("4","%1: Topic ($forum_id,$new_id) created (IP: %2)");

			echo navbar("<a class=\"navbar\" href=\"index.php?mode=viewforum&forum_id=$forum_id$MYSID2\">$forum_data[name]</a>New topic created");
			include("templates/nt_erstellt.php");
		}
	}

	if($showformular == 1) {
		?>
			<script language="JavaScript">
			<!--
				function setsmile(Zeichen) {
				document.beitrag.post.value = document.beitrag.post.value + Zeichen;
				}
			//-->
			</script>
		<?
		echo navbar("<a class=\"navbar\" href=\"index.php?mode=viewforum&forum_id=$forum_id$MYSID2\">$forum_data[name]</a>Create new topic");
		if($preview) {
			$preview_post = nlbr($post);
			if($use_htmlcode == 1 && $forum_data[htmlcode] == 1) $preview_post = demutate($preview_post);
			if($show_signatur == 1 && $user_data[signatur] != "") $signatur = "<br><br>-----------------------<br>".upbcode_signatur($user_data[signatur]); else $signatur = ""; // Configuration of the signature
			if($smilies == 1) $preview_post = make_smilies($preview_post); // Convert text, if smilies have been activated
			if($use_upbcode == 1 && $forum_data[upbcode] == 1) $preview_post = upbcode($preview_post); // Convert text, if UPB-code has been activated
			?>
				<table class="tbl" width=100% border=0 cellspacing="<?=$tspacing?>" cellpadding="<?=$tpadding?>">
				<tr><th class="thnorm" align="left"><span class="thnorm">Preview</span></th></tr>
				<tr><td class="td1"><span class="norm"><?=$preview_post.$signatur?></span></td></tr>
				</table><br>
			<?
		}

		// Check list
			if(!$preview || $show_signatur == 1) $checked[sig] = " checked";
			if(!$preview || $smilies == 1) $checked[smilies] = " checked";
			if(!$preview || $use_upbcode == 1) $checked[upbcode] = " checked";
			if($use_htmlcode == 1) $checked[htmlcode] = " checked";
			if($sendmail2 == 1) $checked[sendmail] = " checked";
		?>
			<form method="post" action="index.php?upb=newtopic<?=$MYSID2?>" name=beitrag>
			<table width=100% class="tbl" border=0 cellspacing="<?=$tspacing?>" cellpadding="<?=$tpadding?>">
			<tr><th class="thnorm" align=left colspan=2><span class="thnorm">Create new topic</span></th></tr>
			<tr>
			 <td class="td1" width=20%><font face=verdana size="2"><b>Illustration for the post:</b></font></td>
			 <td class="td1" width=100% valign=top><? include("tsmilies.php") ?></td>
			<tr>
			 <td class="td1" width=20%><span class="norm"><b>Title:</b></span></td>
			 <td class="td1" width=80%><input type="text" size=30 name="title" value="<?=$title?>">&nbsp;<span class="error"><?=$fehler?></span></td>
			</tr>
			<tr>
			 <td class="td1" valign=top><span class="norm"><b>Text:</b></span><br><br><? include("smilies.php"); ?></font></td>
			 <td class="td1" width=80%><textarea name="post" rows=10 cols=60><?=$post?></textarea></td>
			</tr>
			<? if($tspacing < 1) echo "<tr><td class=\"td1\" colspan=2><hr></td></tr>"; ?>
			<tr>
			 <td class="td1" width=20% valign=top><span class="norm"><b>Options:</b></span></td>
			 <td class="td1" width=80%><span class="norm"><input type="checkbox" name="show_signatur" value="1" onfocus="this.blur()"<? echo $checked[sig] ?>> Display signature?<br><input type="checkbox" name="smilies" value="1" onfocus="this.blur()"<?=$checked[smilies]?>> Activate smilies?
		<?
		if($forum_data[upbcode] == 1) echo "<br><input type=\"checkbox\" name=\"use_upbcode\" value=\"1\" onfocus=\"this.blur()\"$checked[upbcode]> Activate UPB code?";
		if($forum_data[htmlcode] == 1) echo "<br><input type=\"checkbox\" name=\"use_htmlcode\" value=\"1\" onfocus=\"this.blur()\"$checked[htmlcode]> Activate HTML code?";
		if($sendmail == 1) echo "<br><input type=\"checkbox\" name=\"sendmail2\" value=\"1\" onfocus=\"this.blur()\"$checked[sendmail]> Be informed about new replies over e-mail?";
		?>
			</span></td>
			</tr>
			<input type="hidden" name="save" value="yes"><input type="hidden" name="forum_id" value="<?=$forum_id?>">
			</table></td></tr></table><br><input type="submit" value="Create topic">&nbsp;&nbsp;&nbsp;<input type="submit" name="preview" value="Preview"></form></center>
		<?
	}
}

wio_set("newtopic"); // Configure WIO

?>