<?

/* functions.php - usefull functions (c) 2001/2002 The X-Crew */
/* translated by DFME <dfme@bluemail.ch> */

// delete \r\n of a string
function killnl($text) {
	return str_replace("\n","",str_replace("\r\n","",$text));
}

// Make date readable
function makedatum($text) {

	global $gmt_offset;

	$x = substr($gmt_offset,1,2)*3600 + substr($gmt_offset,3,2)*60;
	if(substr($gmt_offset,0,1) == "-") $x = -1*$x;

	$text = mktime(substr($text,8,2),substr($text,10,2),0,substr($text,4,2),substr($text,6,2),substr($text,0,4)) + $x + date("Z");
	$text = gmstrftime("%Y%m%d%H%M",$text);

	$jahr = substr($text,0,4);
	$monat = substr($text,4,2);
	switch ($monat) {
		case "01":
			$monat = "January";
			break;
		case "02":
			$monat = "February";
			break;
		case "03":
			$monat = "March";
			break;
		case "04":
			$monat = "April";
			break;
		case "05":
			$monat = "May";
			break;
		case "06":
			$monat = "June";
			break;
		case "07":
			$monat = "July";
			break;
		case "08":
			$monat = "August";
			break;
		case "09":
			$monat = "September";
			break;
		case "10":
			$monat = "October";
			break;
		case "11":
			$monat = "November";
			break;
		case "12":
			$monat = "December";
			break;
	}
	$tag = substr($text,6,2);
	$stunde = substr($text,8,2);
	$minute = substr($text,10,2);
	$text = "$tag. $monat $jahr <span class=\"time\">$stunde:$minute</span>";
	return $text;
}

// Make registration date readable
function makeregdatum($String) {
	$jahr = substr($String,0,4);
	$monat = substr($String,4,2);
	switch ($monat) {
		case "01":
			$monat = "January";
			break;
		case "02":
			$monat = "February";
			break;
		case "03":
			$monat = "March";
			break;
		case "04":
			$monat = "April";
			break;
		case "05":
			$monat = "May";
			break;
		case "06":
			$monat = "June";
			break;
		case "07":
			$monat = "July";
			break;
		case "08":
			$monat = "August";
			break;
		case "09":
			$monat = "September";
			break;
		case "10":
			$monat = "October";
			break;
		case "11":
			$monat = "November";
			break;
		case "12":
			$monat = "December";
			break;
	}
	$reg_datum = "$monat $jahr";
	return $reg_datum;
}

// Load user data into an array (Version 1.1)
function get_user_data($user_id) {
	if(!$user_file = myfile("members/$user_id.xbb")) return FALSE;
	if(killnl($user_file[4]) == 5) return FALSE;
	$user_data[0] = killnl($user_file[0]); $user_data[nick] = &$user_data[0];
	$user_data[1] = killnl($user_file[1]); $user_data[id] = &$user_data[1];
	$user_data[2] = killnl($user_file[2]); $user_data[pw] = &$user_data[2];
	$user_data[3] = killnl($user_file[3]); $user_data[email] = &$user_data[3];
	$user_data[4] = killnl($user_file[4]); $user_data[status] = &$user_data[4];
	$user_data[5] = killnl($user_file[5]); $user_data[posts] = &$user_data[5];
	$user_data[6] = killnl($user_file[6]); $user_data[regdatum] = &$user_data[6];
	$user_data[7] = killnl($user_file[7]); $user_data[signatur] = &$user_data[7];
	$user_data[8] = killnl($user_file[8]); $user_data[faccess] = &$user_data[8];
	$user_data[9] = killnl($user_file[9]); $user_data[hp] = &$user_data[9];
	$user_data[10] = killnl($user_file[10]); $user_data[pic] = &$user_data[10];
	$user_data[11] = killnl($user_file[11]); $user_data[updatestatus] = &$user_data[11];
	$user_data[12] = killnl($user_file[12]); $user_data[name] = &$user_data[12];
	$user_data[13] = killnl($user_file[13]); $user_data[icq] = &$user_data[13];
	$user_data[14] = killnl($user_file[14]); $user_data[moptions] = &$user_data[14];

	$mail_options = explode(",",$user_data[14]); $user_data[forummails] = $mail_options[0]; $user_data[showemail] = $mail_options[1]; // Addition: Mail options

	return $user_data;
}

// Load user data into an array (Version 1.1)
function get_forum_data($forum_id) {
	if(!$forums_file = myfile("vars/foren.var")) return FALSE;
	for($i = 0; $i < sizeof($forums_file); $i++) {
		$akt_forum = explode("",$forums_file[$i]);
		if($akt_forum[0] == $forum_id) {
			$forum_data[0] = $akt_forum[0]; $forum_data[id] = &$forum_data[0];
			$forum_data[1] = $akt_forum[1]; $forum_data[name] = &$forum_data[1];
			$forum_data[2] = $akt_forum[2]; $forum_data[descr] = &$forum_data[2];
			$forum_data[3] = $akt_forum[3]; $forum_data[topics] = &$forum_data[3];
			$forum_data[4] = $akt_forum[4]; $forum_data[posts] = &$forum_data[4];
			$forum_data[5] = $akt_forum[5]; $forum_data[catid] = &$forum_data[5];
			$forum_data[6] = $akt_forum[6]; $forum_data[smstatus] = &$forum_data[6];
			$forum_data[7] = $akt_forum[7]; $forum_data[options] = &$forum_data[7];
			$forum_data[8] = $akt_forum[8]; $forum_data[status] = &$forum_data[8];
			$forum_data[9] = $akt_forum[9]; $forum_data[ltopic] = &$forum_data[9];
			$forum_data[10] = $akt_forum[10]; // $forum_data[] = &$forum_data[10];
			$forum_data[11] = $akt_forum[11]; $forum_data[mods] = &$forum_data[11];

			$forum_options = explode(",",$forum_data[7]);
			$forum_data[htmlcode] = $forum_options[1]; $forum_data[upbcode] = $forum_options[0]; // Addition: UPB - and HTML code status

			break;
		}
	}
	if(!$forum_data) return FALSE;
	return $forum_data;
}

// Load topic data into an array (Version 1.1)
function get_topic_data($forum_id,$topic_id) {
	if(!$topic_file = myfile("foren/$forum_id-$topic_id.xbb")) return FALSE;
	$topic = explode("",$topic_file[0]);
	$topic_data[0] = $topic[0]; $topic_data[status] = &$topic_data[0];
	$topic_data[1] = $topic[1]; $topic_data[title] = &$topic_data[1];
	$topic_data[2] = $topic[2]; $topic_data[creator_id] = &$topic_data[2];
	$topic_data[3] = $topic[3]; $topic_data[pic] = &$topic_data[3];
	$topic_data[4] = $topic[4]; $topic_data[smstatus] = &$topic_data[4];
	$topic_data[5] = $topic[5]; $topic_data[lpost] = &$topic_data[5];

	$topic_data[posts] = sizeof($topic_file)-1; // Addition: Number of answers
	$lpost = explode("",$topic_file[sizeof($topic_file)-1]); $topic_data[lpost_id] = $lpost[0]; // Addition: ID of the latest post

	return $topic_data;
}

// Load PM-data into an array
function get_pm_data($pmbox_id,$pm_id) {
	if(!$pms = myfile("members/$pmbox_id.pm")) return FALSE;
	for($i = 0; $i < sizeof($pms); $i++) {
		$akt_pm = explode("",$pms[$i]);
		if($akt_pm[0] == $pm_id) {
			$pm_data[0] = $akt_pm[0]; $pm_data[id] = &$pm_data[0];
			$pm_data[1] = $akt_pm[1]; $pm_data[title] = &$pm_data[1];
			$pm_data[2] = $akt_pm[2]; $pm_data[pm] = &$pm_data[2];
			$pm_data[3] = $akt_pm[3]; $pm_data[creator_id] = &$pm_data[3];
			$pm_data[4] = $akt_pm[4]; $pm_data[ctime] = &$pm_data[4];
			$pm_data[5] = $akt_pm[5]; $pm_data[upbcode] = &$pm_data[5];
			$pm_data[6] = $akt_pm[6]; $pm_data[smilies] = &$pm_data[6];
			$pm_data[7] = $akt_pm[7]; $pm_data[rstatus] = &$pm_data[7];
			break;
		}
	}
	return $pm_data;
}

// Load post data into an array
function get_post_data($forum_id,$topic_id,$post_id) {
	if(!$topic_file = myfile("foren/$forum_id-$topic_id.xbb")) return FALSE;
	for($i = 1; $i < sizeof($topic_file); $i++) {
		$akt_post = explode("",$topic_file[$i]);
		if($akt_post[0] == $post_id) {
			$post_data[0] = $akt_post[0]; $post_data[id] = &$post_data[0];
			$post_data[1] = $akt_post[1]; $post_data[creator_id] = &$post_data[1];
			$post_data[2] = $akt_post[2]; $post_data[ctime] = &$post_data[2];
			$post_data[3] = $akt_post[3]; $post_data[post] = &$post_data[3];
			$post_data[4] = $akt_post[4]; $post_data[creator_ip] = &$post_data[4];
			$post_data[5] = $akt_post[5]; $post_data[signatur] = &$post_data[5];
			$post_data[6] = $akt_post[6]; $post_data[pic] = &$post_data[6];
			$post_data[7] = $akt_post[7]; $post_data[smilies] = &$post_data[7];
			$post_data[8] = $akt_post[8]; $post_data[upbcode] = &$post_data[8];
			$post_data[9] = $akt_post[9]; // $post_data[] = &$post_data[9];
			$post_data[10] = $akt_post[10]; // $post_data[] = &$post_data[10];
			$post_data[11] = $akt_post[11]; // $post_data[] = &$post_data[11];
			break;
		}
	}
	return $post_data;
}

// Extract Username out of user-file
function get_user_name($user_id) {
	if(!$user_daten = myfile("members/$user_id.xbb")) $user_name = "Deleted";
	else $user_name = killnl($user_daten[0]);
	return $user_name;
}

// Extract User password out of user-file
function get_user_pw ($user_id) {
	$userdatei_daten = myfile("members/$user_id.xbb");
	$user_pw = killnl($userdatei_daten[2]);
	return $user_pw;
}

// Extract real user status out of user-file
function get_real_user_status($user_id) {
	if(!$userdatei_daten = myfile("members/$user_id.xbb")) $user_status = 5;
	else $user_status = killnl($userdatei_daten[4]);
	return $user_status;
}

// Extract user staus out of user-file
function get_user_status($user_id) {
	global $var_admin,$var_mod,$var_banned,$var_killed;
	$userdatei_daten = myfile("members/$user_id.xbb");
	$user_prestatus = killnl($userdatei_daten[4]);
	switch($user_prestatus) {
		case "1":
			$user_status = $var_admin;
		break;

		case "2":
			$user_status = $var_mod;
		break;

		case "3":
			$up = killnl($userdate_daten[5]);
			$ranks = myfile("vars/rank.var"); $ranks_anzahl = sizeof($ranks);
			for ($i = 0; $i < $ranks_anzahl; $i++) {
				$aktueller_rank = explode("",$ranks[$i]);
				if ($up >= $aktueller_rank[2] && $up <= $aktueller_rank[3]) { $user_status = $aktueller_rank[1]; break; }
			}
		break;

		case "4":
			$user_status = $var_banned;
		break;

		case "5":
			$user_status = $var_killed;
		break;
	}
	return $user_status;
}

// Extract user email out of user-file
function get_user_email($user_id) {
	$userdatei_daten = myfile("members/$user_id.xbb");
	$user_email = killnl($userdatei_daten[3]);
	return $user_email;
}

// Signature-UPB-code (Version 1.1)
function upbcode_signatur($user_signatur) {
	if(substr_count($user_signatur,"[") > 0 && substr_count($user_signatur,"]") > 0) {
		$user_signatur = preg_replace("#\[color=(.*?)\](.*?)\[/color\]#si",'<font color="\1">\2</font>',$user_signatur);
		$user_signatur = preg_replace("#\[u\](.*?)\[/u\]#si",'<u>\1</u>',$user_signatur);
		$user_signatur = preg_replace("#\[code\](.*?)\[/code\]#si",'<code>\1</code>',$user_signatur);
		$user_signatur = preg_replace("#\[s\](.*?)\[/s\]#si",'<s>\1</s>',$user_signatur);
		$user_signatur = preg_replace("#\[i\](.*?)\[/i\]#si",'<i>\1</i>',$user_signatur);
		$user_signatur = preg_replace("#\[b\](.*?)\[/b\]#si",'<b>\1</b>',$user_signatur);
		$user_signatur = preg_replace("#\[url\]([a-z]+?://){1}(.*?)\[/url\]#si",'<a href="\1\2" target="_blank">\1\2</a>',$user_signatur);
		$user_signatur = preg_replace("#\[url\](.*?)\[/url\]#si",'<a href="http://\1" target="_blank">\1</A>',$user_signatur);
		$user_signatur = preg_replace("#\[url=([a-z]+?://){1}(.*?)\](.*?)\[/url\]#si",'<a href="\1\2" target="_blank">\3</a>',$user_signatur);
		$user_signatur = preg_replace("#\[url=(.*?)\](.*?)\[/url\]#si",'<a href="http://\1" target="_blank">\2</a>',$user_signatur);
		$user_signatur = preg_replace("#\[email\](.*?)\[/email\]#si",'<a href="mailto:\1">\1</A>',$user_signatur);
		$user_signatur = preg_replace("/\[img\](.*?)\[\/img\]/si", "<img src=\"\\1\" border=\"0\">", $user_signatur);
	}
	return $user_signatur;
}

// Extract user's homepage out of user-file
function get_user_hp($user_id) {
	if(!$userdatei_daten = myfile("members/$user_id.xbb")) $user_hp = "";
	elseif(killnl($userdatei_daten[9]) == "") $user_hp = "";
	else $user_hp = addhttp(killnl($userdatei_daten[9]));
	return $user_hp;
}

// Extract user update status out of user-file (Version 1.1)
function get_user_updatestatus($user_id) {
	$userdatei_daten = myfile("members/$user_id.xbb");
	$user_updatestatus = killnl($userdatei_daten[11]);
	return $user_updatestatus;
}

// Extract user's picture out of user-file
function get_user_pic($pic) {
	if($pic != "") {
		$pic = addhttp($pic);
		if(!$pic_size = @getimagesize($pic)) $pic = "<img width=64 height=64 src=$pic>";
		else {
			if($pic_size[0] > 64 && $pic_size[1] > 64) $pic = "<img width=64 height=64 src=$pic>";
			elseif($pic_size[0] > 64 && $pic_size[1] <= 64) $pic = "<img width=64 src=$pic>";
			elseif($pic_size[0] <= 64 && $pic_size[1] > 64) $pic = "<img height=64 src=$pic>";
			else $pic = "<img src=$pic>";
		}
	}
	return $pic;
}

// Find last topic of a forum
function make_last_post($forum_id,$data,$forum_status) {
	global $MYSID1,$MYSID2,$censored;
	$last_post_daten = explode(",",$data);
	if($last_post_daten[0] == "") $last_post = "No post available";
	elseif($forum_status == 3 || $forum_status == 5) {
		$last_post = makedatum($last_post_daten[2]);
	}
	else {
		if(!$topic_file = myfile("foren/$forum_id-$last_post_daten[0].xbb")) $topic_link = "Deleted";
		else {
			$topic_info = explode("", $topic_file[0]); if($censored == 1) $topic_info[1] = censor($topic_info[1]);
			if(strlen($topic_info[1]) > 22) $topic_info[1] = substr($topic_info[1],0,19)."...";
			$topic_link = "<a href=\"index.php?mode=viewthread&forum_id=$forum_id&thread=$last_post_daten[0]&z=last$MYSID2\">$topic_info[1]</a>";
		}
		$last_post = "$topic_link (by <a href=\"index.php?upb=profile&profile_id=$last_post_daten[1]$MYSID2\">".get_user_name($last_post_daten[1])."</a>)<br>at ".makedatum($last_post_daten[2]);
	}
	return $last_post;
}

// Find moderators of a forum
function get_forum_mods($data) {
	global $MYSID1,$MYSID2;
	$mods = "";
	if($data != "") {
		$forum_mods = explode(",",$data);
		for ($i = 0; $i < sizeof($forum_mods); $i++) $mods[$i] = "<a href=\"index.php?upb=profile&profile_id=$forum_mods[$i]$MYSID2\" onfocus=\"this.blur()\">".get_user_name($forum_mods[$i])."</a>";
		$mods = implode(", ",$mods);
	}
	return $mods;
}

// Find out if a user's a moderator of a forum
function test_mod($forum_id) {
	global $user_id;
	$is_mod = 0;
	if($user_id != 0) {
		$foren_file = myfile("vars/foren.var"); $foren_anzahl = sizeof($foren_file);
		for ($i = 0; $i < $foren_anzahl; $i++) {
			$aktuelles_forum = explode("", $foren_file[$i]);
			if ($aktuelles_forum[0] == $forum_id) {
				$forum_mods = explode(",", $aktuelles_forum[11]); $mods_anzahl = sizeof($forum_mods);
				for ($y = 0; $y < $mods_anzahl; $y++) {
					if ($forum_mods[$y] == $user_id) {
						$is_mod = 1;
						break;
					}

				}
				break;
			}
		}
	}
	return $is_mod;
}


// Convert new lines into <br>
function nlbr($text) {
	return str_replace("\r\n", "<br>", $text);
}

// Convert <br>s into new lines
function brnl($text) {
	return str_replace("<br>", "\r\n", $text);
}

// Get forum name
function get_forum_name($text) {
	$forendaten = myfile("vars/foren.var"); $forenanzahl = sizeof($forendaten);
	for ($i = 0; $i < $forenanzahl; $i++) {
		$aktuelles_forum = explode("", $forendaten[$i]);
		if ($aktuelles_forum[0] == $text) {
			$forumname = $aktuelles_forum[1];
			break;
		}
	}
	return $forumname;
}

// Get forum status
function get_forum_status($forum_id) {
	$forendaten = myfile("vars/foren.var"); $forenanzahl = sizeof($forendaten);
	for ($i = 0; $i < $forenanzahl; $i++) {
		$aktuelles_forum = explode("", $forendaten[$i]);
		if ($aktuelles_forum[0] == $forum_id) {
			$forumstatus = $aktuelles_forum[8];
			break;
		}
	}
	return $forumstatus;
}

// Get topic name
function get_thread_name($forum_id,$topic_id) {
	if(!$topic_file = myfile("foren/$forum_id-$topic_id.xbb")) $topic_name = "Deleted";
	else {
		$topic_info = explode("", $topic_file[0]);
		$topic_name = $topic_info[1];
	}
	return $topic_name;
}

// Increment topic number by one
function increase_topic_number($text) {
	$foren_datei = myfile("vars/foren.var"); $foren_anzahl = sizeof($foren_datei);
	for ($i = 0; $i < $foren_anzahl; $i++) {
		$aktuelles_forum = explode("", $foren_datei[$i]);
		if ($text == $aktuelles_forum[0]) {
			$aktuelles_forum[3]++;
			$foren_datei[$i] = implode("",$aktuelles_forum);
			$save = 1;
			break;
		}
	}
	if($save == 1) myfwrite("vars/foren.var",$foren_datei,"w");
	else echo "Forum does not exist!";
}

// Decrement topic number by one
function decrease_topic_number($text) {
	$foren_datei = myfile("vars/foren.var"); $foren_anzahl = sizeof($foren_datei);
	for($i = 0; $i < $foren_anzahl; $i++) {
		$aktuelles_forum = explode("", $foren_datei[$i]);
		if($text == $aktuelles_forum[0]) {
			$aktuelles_forum[3] = $aktuelles_forum[3] - 1;
			$foren_datei[$i] = implode("",$aktuelles_forum);
			$save = 1; break;
		}
	}
	if ($save == 1) myfwrite("vars/foren.var",$foren_datei,"w");
	else echo "Forum does not exist!";
}

// Increment post number by one
function increase_posts_number($String) {
	$foren_datei = myfile("vars/foren.var"); $foren_anzahl = sizeof($foren_datei);
	for ($i = 0; $i < $foren_anzahl; $i++) {
		$aktuelles_forum = explode("", $foren_datei[$i]);
		if ($String == $aktuelles_forum[0]) {
			$aktuelles_forum[4] = $aktuelles_forum[4] + 1;
			$foren_datei[$i] = implode("", $aktuelles_forum);
			$save = 1; break;
		}
		$foren_datei[$i] = implode("", $aktuelles_forum);
	}
	if ($save == 1) myfwrite("vars/foren.var",$foren_datei,"w");
	else echo "Forum does not exist!";
}

// Increment topic number by one
function increase_posts_numberx($forum_id,$posts) {
	$foren_datei = myfile("vars/foren.var"); $foren_anzahl = sizeof($foren_datei);
	for ($i = 0; $i < $foren_anzahl; $i++) {
		$aktuelles_forum = explode("", $foren_datei[$i]);
		if ($forum_id == $aktuelles_forum[0]) {
			$aktuelles_forum[4] = $aktuelles_forum[4] + $posts;
			$foren_datei[$i] = implode("", $aktuelles_forum);
			$save = 1; break;
		}
		$foren_datei[$i] = implode("", $aktuelles_forum);
	}
	if ($save == 1) myfwrite("vars/foren.var",$foren_datei,"w");
	else echo "Forum does not exist!";
}

// Decrement topic number by one
function decrease_posts_number ($String, $post_anzahl) {
	$foren_datei = myfile("vars/foren.var"); $foren_anzahl = sizeof($foren_datei);
	for ($i = 0; $i < $foren_anzahl; $i++) {
		$aktuelles_forum = explode("", $foren_datei[$i]);
		if ($String == $aktuelles_forum[0]) {
			$aktuelles_forum[4] = $aktuelles_forum[4] - $post_anzahl;
			$foren_datei[$i] = implode("", $aktuelles_forum);
			$save = 1; break;
		}
		$foren_datei[$i] = implode("", $aktuelles_forum);
	}
	if ($save == 1) myfwrite("vars/foren.var",$foren_datei,"w");
	else echo "Forum does not exist!";
}

// Update newest topic of a forum
function update_last_post ($forum_id,$datum,$creator_id,$topic_id) {
	$foren_datei = myfile("vars/foren.var"); $foren_anzahl = sizeof($foren_datei);
	for ($i = 0; $i < $foren_anzahl; $i++) {
		$aktuelles_forum = explode("", $foren_datei[$i]);
		if ($forum_id == $aktuelles_forum[0]) {
			$aktuelles_forum[9] = $topic_id . "," . $creator_id . "," . $datum;
			$aktuelles_forum[6] = time();
			$foren_datei[$i] = implode("", $aktuelles_forum);
			$save = 1; break;
		}
		$foren_datei[$i] = implode("", $aktuelles_forum);
	}
	if ($save == 1) myfwrite("vars/foren.var",$foren_datei,"w");
	else echo "Forum does not exist!";
}

// Get a specififc post
function get_post($forum_id,$topic_id,$post_id,$user_id) {
	if(check_user_access($user_id,$forum_id) == 1 || get_forum_status($forum_id) == 2) {
		$post_file = myfile("foren/$forum_id-$topic_id.xbb"); $post_file_anzahl = sizeof($post_file);
		for ($i = 1; $i < $post_file_anzahl; $i++) {
			$aktuellerpost_daten = explode("", $post_file[$i]);
			if($aktuellerpost_daten[0] == $post_id) {
				$post = brnl($aktuellerpost_daten[3]);
				break;
			}
		}
		return $post;
	}
	else echo "No access rights to this post!";
}

// Get IP of the creator of a certain post
function get_post_ip($forum_id, $topic_id, $post_id) {
	$post_file = myfile("foren/$forum_id-$topic_id.xbb");
	for ($i = 1; $i < sizeof($post_file); $i++) {
		$akt_post = explode("", $post_file[$i]);
		if ($akt_post[0] == $post_id) {
			$post_ip = $akt_post[4];
			break;
		}
	}
	return $post_ip;
}

// Make topic latest
function rank_topic($forum_id, $topic_id) {
	$topic_file = myfile("foren/$forum_id-threads.xbb"); $topic_anzahl = sizeof($topic_file);
	for($i = 0; $i < $topic_anzahl; $i++) {
		if($topic_id == killnl($topic_file[$i])) {
			if($i != $topic_anzahl-1) { // Stop here if the topic is already the latest topic
				$topic_file[$i] = "";
				$topic_file[$topic_anzahl] = $topic_id."\r\n";
				$save = 1;
			}
			break;
		}
	}
	if($save == 1) myfwrite("foren/$forum_id-threads.xbb",$topic_file,"w");
}

// Check if the username already exists
function check_name($user_name,$except) {
	$user_exist = 0; $user_name = strtolower($user_name);
	$members = myfile("members/members.xbb"); $members = $members[0] + 1;
	for($i = 1; $i < $members; $i++) {
		$aktueller_member = myfile("members/$i.xbb");
		$aktueller_member_name = killnl($aktueller_member[0]);
		if(strtolower($aktueller_member_name) == $user_name && killnl($aktueller_member[4]) != 5 && killnl($aktueller_member[1]) != $except) {
			$user_exist = 1;
			break;
		}
	}
	return $user_exist;
}

// Check if an e-mail address already exists
function check_mail($email,$except) {
	$email_exists = 0; $email = strtolower($email);
	$members = myfile("members/members.xbb"); $members = $members[0] + 1;
	for($i = 1; $i < $members; $i++) {
		$akt_user = myfile("members/$i.xbb");
		if(strtolower(killnl($akt_user[3])) == $email && killnl($akt_user[4]) != 5 && killnl($akt_user[1]) != $except) {
			$email_exists = 1;
			break;
		}
	}
	return $email_exists;
}

// Increment post count of a user by one
function increase_user_posts($user_id) {
	$user_daten = myfile("members/$user_id.xbb");
	$user_daten[5] = killnl($user_daten[5])+1; $user_daten[5] .= "\r\n";
	myfwrite("members/$user_id.xbb",$user_daten,"w");
}

// Check if a user may enter a forum
function check_user_access($user_id,$forum_id) {
	$access = 0; $user_daten = myfile("members/$user_id.xbb");
	if(test_mod($forum_id,$user_id) == 1 || killnl($user_daten[4]) == 1) $access = 1;
	else {
		$user_daten_access = explode(",", killnl($user_daten[8]));
		for ($i = 0; $i < sizeof($user_daten_access); $i++) {
			if ($user_daten_access[$i] == $forum_id) {
				$access = 1;
				break;
			}
		}
	}
	return $access;
}

// Make a string compatible for html
function mutate($text) {
	$text = htmlspecialchars(stripslashes($text));
	return str_replace("","",$text);
}

// reasses mutate() partially
function demutate($text) {
	$text = str_replace("&amp;","&",$text);
	$text = str_replace("&quot;","\"",$text);
	$text = str_replace("&lt;","<",$text);
	$text = str_replace("&gt;",">",$text);
	return $text;
}

// Convert text-smilies to illustrations
function make_smilies($text) {
	$sm_file = myfile("vars/smilies.var");
	for ($i = 0; $i < sizeof($sm_file); $i++) {
		$akt_sm = explode("",$sm_file[$i]);
		$text = str_replace($akt_sm[1], "<img border=0 src=\"" . $akt_sm[2] . "\">", $text);
	}
	return $text;
}


// Define ranking picture
function get_rank_pic($user_status,$up) {
	global $stars_admin,$stars_mod,$cache;
	$rank_pic = "";
	switch($user_status) {
		case "1":
			for($i = 0; $i < $stars_admin; $i++) {
				$rank_pic .= "<img src=images/rank/star3.gif>";
			}
		break;

		case "2":
			for($i = 0; $i < $stars_mod; $i++) {
				$rank_pic .= "<img src=images/rank/star3.gif>";
			}
		break;

		default:
			if($up < 0) $rank_pic = "";
			else {
				if(!$cache[ranks]) $cache[ranks] = myfile("vars/rank.var");
				for($i = 0; $i < sizeof($cache[ranks]); $i++) {
					$akt_rank = explode("",$cache[ranks][$i]);
					if($up >= $akt_rank[2] && $up <= $akt_rank[3]) {
						for($j = 0; $j < $akt_rank[4]; $j++) {
							$rank_pic .= "<img src=images/rank/star3.gif>";
						}
						break;
					}
				}
			}
		break;
	}
	return $rank_pic;
}

// Find category name
function get_kg_name($kg_id,$kg_file) {
	for ($i = 0; $i < sizeof($kg_file); $i++) {
		$akt_kg = explode("", $kg_file[$i]);
		if($akt_kg[0] == $kg_id) {
			$kg_name = $akt_kg[1];
			break;
		}
	}
	if (!$kg_name) $kg_name = "Category does not exist!";
	return $kg_name;
}

// Get PM title
function get_pm_name($user_id,$pm_id) {
	$pm = myfile("members/$user_id.pm"); $pm_anzahl = sizeof($pm);
	for ($i = 0; $i < $pm_anzahl; $i++) {
		$aktuelle_pm = explode("", $pm[$i]);
		if ($aktuelle_pm[0] == $pm_id) {
			$pm_name = $aktuelle_pm[1];
			break;
		}
	}
	return $pm_name;
}

// Mark PM as unread
function make_read($user_id,$pm_id) {
	$pm = myfile("members/$user_id.pm"); $pm_anzahl = sizeof($pm);
	for($i = 0; $i < $pm_anzahl; $i++) {
		$aktuelle_pm = explode("", $pm[$i]);
		if ($aktuelle_pm[0] == $pm_id) {
			$aktuelle_pm[7] = 0;
			$save = "yes";
			$pm[$i] = implode("", $aktuelle_pm);
			break;
		}
	}
	if ($save == "yes") myfwrite("members/$user_id.pm",$pm,"w");
}

// UPB-Code
function upbcode($text) {
	if(substr_count($text,"[") > 0 && substr_count($text,"]") > 0) {
		$text = preg_replace("#\[color=(.*?)\](.*?)\[/color\]#si",'<font color="\1">\2</font>',$text);
		$text = preg_replace("#\[u\](.*?)\[/u\]#si",'<u>\1</u>',$text);
		$text = preg_replace("#\[code\](.*?)\[/code\]#si",'<code>\1</code>',$text);
		$text = preg_replace("#\[s\](.*?)\[/s\]#si",'<s>\1</s>',$text);
		$text = preg_replace("#\[i\](.*?)\[/i\]#si",'<i>\1</i>',$text);
		$text = preg_replace("#\[b\](.*?)\[/b\]#si",'<b>\1</b>',$text);
		$text = preg_replace("#\[url\]([a-z]+?://){1}(.*?)\[/url\]#si",'<a href="\1\2" target="_blank">\1\2</a>',$text);
		$text = preg_replace("#\[url\](.*?)\[/url\]#si",'<a href="http://\1" target="_blank">\1</a>',$text);
		$text = preg_replace("#\[url=([a-z]+?://){1}(.*?)\](.*?)\[/url\]#si",'<a href="\1\2" target="_blank">\3</a>',$text);
		$text = preg_replace("#\[url=(.*?)\](.*?)\[/url\]#si",'<a href="http://\1" target="_blank">\2</a>',$text);
		$text = preg_replace("#\[email\](.*?)\[/email\]#si",'<a href="mailto:\1">\1</a>',$text);
		$text = preg_replace("/\[img\](.*?)\[\/img\]/si", "<img src=\"\\1\" border=\"0\">", $text);
		do {
			$text = preg_replace("#\[quote\](.*?)\[/quote\]#si",'<center><table border=0 cellspacing=0 cellpadding=0 width=85%><tr><td><span class="small"><b>Quote:</b></span><hr noshade><center><table border=0 cellspacing=0 cellpadding=0 width=$twidth><tr><td><span class="quote">\1</span></td></tr></table></center><hr noshade></td></tr></table></center>',$text);
		}	while(preg_match("#\[quote\](.*?)\[/quote\]#si",$text));
	}
	return $text;
}

// Get T-smilie-address
function get_tsmadress($tsm_id) {
	$tsm_file = myfile("vars/tsmilies.var");
	for ($i = 0; $i < sizeof($tsm_file); $i++) {
		$akt_tsm = explode("",$tsm_file[$i]);
		if ($akt_tsm[0] == $tsm_id) {
			$tsm_adress = $akt_tsm[1];
			break;
		}
	}
	if(!$tsm_adress) $tsm_adress = "images/tsmilies/1.gif";
	return $tsm_adress;
}

// Send PM
function sendpm($target_id,$remote_id,$betreff,$pm,$use_upbcode,$use_smilies) {
	$target_file = myfile("members/$target_id.pm"); $target_file = array_reverse($target_file); $last_pm = explode("",$target_file[0]); $new_pm_id = $last_pm[0] + 1;
	$towrite = "$new_pm_id" . "$betreff" . "$pm" . "$remote_id" . "" . gmdate("YmdHis") . "$use_smilies" . "$use_upbcode" . "1\r\n";
	myfwrite("members/$target_id.pm",$towrite,"a");
}

// Convert http:// to a string
function addhttp($text) {
	if(substr($text,0,7) != "http://") $text = "http://" . $text;
	return $text;
}

// NIX (Mir ist grade langweilig) :)))) i'm bored -> me too
function nix() {
}

// Check if a user's a moderator of a forum
function check_if_mod($forum_id,$user_id) {
	$is_mod = 0;
	$foren_file = myfile("vars/foren.var"); $foren_file_size = sizeof($foren_file);
	for($i = 0; $i < $foren_file_size; $i++) {
		$aktuelles_forum = explode("",$foren_file[$i]);
		if($aktuelles_forum[0] != $forum_id || $forum_id == -1) {
			$aktuelles_forum_mods = explode(",",$aktuelles_forum[11]);
			for($j = 0; $j < sizeof($aktuelles_forum[11]); $j++) {
				if($user_id == $aktuelles_forum_mods[$j]) {
					$is_mod = 1;
					break 2;
				}
			}
		}
	}
	return $is_mod;
}

// Edit user-file
function change_user_db($user_id,$db_pos,$db_wert) {
	$user_file = myfile("members/$user_id.xbb"); $user_file_size = sizeof($user_file);
	$user_file[$db_pos] = $db_wert . "\r\n";
	myfwrite("members/$user_id.xbb",$user_file,"w");
}

// Update time() of the last post of a topic
function update_topic_time($forum_id,$topic_id) {
	$topic_file = myfile("foren/$forum_id-$topic_id.xbb");
	$topic_status = explode("",$topic_file[0]); $topic_status[5] = time(); $topic_file[0] = implode("",$topic_status);
	myfwrite("foren/$forum_id-$topic_id.xbb",$topic_file,"w");
}

// Convert status number to a real status
function morph_status($status,$posts) {
	global $var_admin,$var_mod,$var_banned,$var_killed,$cache;
	switch($status) {
		case "1":
			$status = $var_admin;
		break;

		case "2":
			$status = $var_mod;
		break;

		case "3":
			if(!$cache[ranks]) {
				$cache[ranks] = myfile("vars/rank.var");
			}
			for($i = 0; $i < sizeof($cache[ranks]); $i++) {
				$akt_rank = explode("",$cache[ranks][$i]);
				if($posts >= $akt_rank[2] && $posts <= $akt_rank[3]) { $status = $akt_rank[1]; break; }
			}
		break;

		case "4":
			$status = $var_banned;
		break;

		case "5":
			$status = $var_killed;
		break;
	}
	return $status;
}

// Check if a IP has access rights to a forum
function check_ip_access($ip,$forum_id) {
	$ips = myfile("vars/ip.var"); $access = 1;
	for($i = 0; $i < sizeof($ips); $i++) {
		$akt_ip = explode("",$ips[$i]);
		if($akt_ip[0] == $ip && $akt_ip[2] == $forum_id && ($akt_ip[1] > time() || $akt_ip[1] == -1)) {
			$access = 0; break;
		}
	}
	return $access;
}

// Finds the end of a ban-time for an certain IP
function get_ip_sperre_endtime($ip,$forum_id) {
	$endtime = 0;
	$ips = myfile("vars/ip.var"); $access = 1;
	for($i = 0; $i < sizeof($ips); $i++) {
		$akt_ip = explode("",$ips[$i]);
		if($akt_ip[0] == $ip && $akt_ip[2] == $forum_id && ($akt_ip[1] > time() || $akt_ip[1] == -1)) {
			$endtime = $akt_ip[1];
		}
	}
	return $endtime;
}

// Find user IP with the username
function get_user_id_nick($nick) {
	$user_id = -1; $nick = strtolower($nick);
	if($nick != "gast") {
		$member_anzahl = myfile("members/members.xbb"); $member_anzahl = $member_anzahl[0] + 1;
		for($i = 1; $i < $member_anzahl; $i++) {
			if($akt_member = myfile("members/$i.xbb")) {
				if(strtolower(killnl($akt_member[0])) == $nick && killnl($akt_member[4]) != 5) {
					$user_id = killnl($akt_member[1]);
					break;
				}
			}
		}
	}
	return $user_id;
}

// Find user IP with the user's e-mail
function get_user_id_email($email) {
	$user_id = -1; $email = strtolower($email);
	if($email != "gast") {
		$member_anzahl = myfile("members/members.xbb"); $member_anzahl = $member_anzahl[0] + 1;
		for($i = 1; $i < $member_anzahl; $i++) {
			$akt_member = myfile("members/$i.xbb");
			if(strtolower(killnl($akt_member[3])) == $email && killnl($akt_member[4]) != 5) {
				$user_id = killnl($akt_member[1]);
				break;
			}
		}
	}
	return $user_id;
}

// Random number (Version 1.1)
function get_rand_num($length) {
	srand((double)microtime()*1000000); // Activate random generator
	$x = "";
	for($i = 0; $i < $length; $i++) $x .= rand(0,9);
	return $x;
}

// Calculate random string
function get_rand_string($length) {
	mt_srand((double)microtime()*1000000);
	return substr(md5(mt_rand()),0,$length);
}

// Censor a text (Version 1.1)
function censor($text) {
	$cwords = myfile("vars/cwords.var");
	for($i = 0; $i < sizeof($cwords); $i++) {
		$akt_cword = explode("",$cwords[$i]);
		$text = eregi_replace($akt_cword[1],$akt_cword[2],$text);
	}
	return $text;
}

// Reformat date (Version 1.1)
function mydate() {
	return gmdate("YmdHis");
}

// Write something into a file (Version 1.1)
function myfwrite($file,$towrite,$mode) {
	global $cache,$file_counter;
	$set_chmod = 0;
	if(!file_exists($file)) $set_chmod = 1; // If a file does not exist; chmod to 777 later on
	$fp = fopen($file,$mode) or die(mylog("1","File-error: File: $file; Modus: $mode")); flock($fp,LOCK_EX);
	if(!is_array($towrite)) { // Write differently if the variable's an array
		fwrite($fp,$towrite);
	}
	else {
		for($i = 0; $i < sizeof($towrite); $i++) {
			fwrite($fp,$towrite[$i]);
		}
	}
	flock($fp,LOCK_UN); fclose($fp);
	if($set_chmod == 1) chmod($file,0777);

	// This one's important. It updates the cache; this way old stuff won't be displayed
	if($mode == "w") $cache[files][$file] = $towrite; // Get the data that was written, if write modus was set to "w"
	else { // Otherwise the file has to be reread
		$file_counter++;
		$cache[files][$file] = @file($file);
	}
}


// WIO-Funktion: Delete old posts (Version 1.1)
function wio_koe() { // Wieso hab ich das wio_koe genannt??? Falls jemand wei, was koe bedeutet, soll er mir bitte an xcrew@barrysworld.com mailen ;)
	global $wio_timeout;
	$wio_file = myfile("vars/wio.var"); $wio_file_size = sizeof($wio_file); $x = 0;
		for ($i = 0; $i < $wio_file_size; $i++) {
			$aktueller_wio = explode("",$wio_file[$i]);
			if ($aktueller_wio[0] + ($wio_timeout*60) < time()) {
					$wio_file[$i] = ""; $x++;
			}
			else $wio_file[$i] = implode($aktueller_wio,"");
	}
	if ($x > 0) myfwrite("vars/wio.var",$wio_file,"w");
}

// WIO-Funktion: Set latest status (Version 1.1)
function wio_set($data) {
	global $wio,$session_upbwio,$special_id;

	if($wio == 1) {
		wio_koe();
		$write = "";
		if($session_upbwio != "no") { // Continue if user's not "hidden"
			$wio_file = myfile("vars/wio.var"); // $wio_file_size = sizeof($wio_file);
			for($i = 0; $i < sizeof($wio_file); $i++) { // Check if user's in WIO
				$akt_wio = explode("",$wio_file[$i]);
				if($akt_wio[1] == $session_upbwio || $akt_wio[1] == $special_id) {
					$write = "yes"; $akt_wio[2] = $data; $akt_wio[0] = time();
					$wio_file[$i] = implode($akt_wio,""); break;
				}
			}

			if($write == "yes") myfwrite("vars/wio.var",$wio_file,"w");
			else { // If the user's not in WIO it will be added
				$towrite = time()."".$special_id."$wio_text"."\r\n";
				myfwrite("vars/wio.var",$towrite,"a");
			}
		}
	}
}

// Display navbar (Version 1.1)
function navbar($data) {
	global $twidth,$upb_name,$user_status,$MYSID1,$MYSID2;
	$data = str_replace("","&nbsp;&#187;&nbsp;",$data);
	if(@func_get_arg(1) == "no") $temp_user_status = "";
	else $temp_user_status = "<td class=\"navbar\" align=\"right\"><span class=\"navbar\">$user_status</span></td>";
	return "<br><center><table class=\"navbar\" width=\"$twidth\" border=0 cellspacing=0 cellpadding=0><tr><td class=\"navbar\"><span class=\"navbar\">&nbsp;<a class=\"navbar\" href=\"index.php$MYSID1\">$upb_name</a>&nbsp;&#187;&nbsp;$data</span></td>$temp_user_status</tr></table><br>";
}

// Display administraion navbar (Version 1.1)
function adnavbar($data) {
	global $upb_name,$user_status,$MYSID1,$MYSID2;
	$data = str_replace("","&nbsp;&#187;&nbsp;",$data);
	return "<br><center><table class=\"navbar\" width=\"100%\" border=0 cellspacing=0 cellpadding=0><tr><td class=\"navbar\"><span class=\"navbar\">&nbsp;<a class=\"navbar\" href=\"index.php$MYSID1\">$upb_name</a>&nbsp;&#187;&nbsp;<a href=\"adminpanel.php$MYSID1\">Administration</a>&nbsp;&#187;&nbsp;$data</span></td><td class=\"navbar\" align=\"right\"><span class=\"navbar\">$user_status</span></td></tr></table><br>";
}

// Log things (Version 1.1)
function mylog($mode,$data) {
	global $log_options,$user_data,$user_logged_in,$REMOTE_ADDR;
	$x = explode(",",$log_options);
	for($i = 0; $i < sizeof($x); $i++) {
		if($x[$i] == $mode) {
			if($user_logged_in == 1) $log_name = "\"$user_data[nick]\" (ID: $user_data[id])";
			else $log_name = "(not logged)";
			$date1 = gmdate("dmY");
			$data = str_replace("%1",$log_name,$data);
			$data = str_replace("%2",$REMOTE_ADDR,$data);
			$data = date("r")." ".$data."\r\n";
			myfwrite("logs/$date1.log",$data,"a");
			break;
		}
	}
}

// Uses the file() function + counts how many times it was used (Version 1.1)
function myfile($file) {
	global $file_counter,$cache,$use_file_caching;
	if(!$cache["files"][$file] || $use_file_caching != 1) {
		$cache["files"][$file] = @file($file);
		$file_counter++;
	}
	return $cache["files"][$file];
}

// Sets all configs for administarion (Version 1.1)
function ad() {
	global $ad,$twidth;
	$ad = 1; $twidth = "100%";
}

// Increments the number of views of a certain topic (Version 1.1)
function increase_topic_views($forum_id,$topic_id,$number) {
	if($topic_file = myfile("foren/$forum_id-$topic_id.xbb")) {
		$topic_info = explode("",$topic_file[0]);
		$topic_info[6] += $number;
		$topic_file[0] = implode("",$topic_info);
		myfwrite("foren/$forum_id-$topic_id.xbb",$topic_file,"w");
	}
}

// Sends an e-mail from the forum (Version 1.1)
function mymail($target,$subject,$message) {
	global $upb_email,$upb_name,$activate_mail;
	if($activate_mail == 1) {
		@mail($target,$subject,$message,"From: \"$upb_name\" <$upb_email>\nX-Mailer: PHP/".phpversion());
		mylog("9","%1: Mail sent to $target (IP: %2)");
	}
}

// Converts a date to a short date (Version 1.1)
function makesdatum($text) {
	global $gmt_offset;
	$text = mktime(substr($text,8,2),substr($text,10,2),0,substr($text,4,2),substr($text,6,2),substr($text,0,4)) + (substr($gmt_offset,1,2) * 3600) + (substr($gmt_offset,3,2) * 60) + date("Z");
	$text = gmstrftime("%Y%m%d%H%M",$text);
	$jahr = substr($text,0,4);
	$monat = substr($text,4,2);
	$tag = substr($text,6,2);
	$stunde = substr($text,8,2);
	$minute = substr($text,10,2);
	$text = "$tag.$monat.$jahr $stunde:$minute";
	return $text;
}

// Converts a gmdate("...")-string to a time()-string (Version 1.1)
function get_time_string($data) {
	return mktime(substr($data,8,2),substr($data,10,2),0,substr($data,4,2),substr($data,6,2),substr($data,0,4)) + date("Z");
}

// Updates the last 10 posts (Version 1.1)
function update_last_posts($forum_id,$topic_id,$user_id,$datum) {
	$lposts = myfile("vars/lposts.var");
	if($lposts[0] == "") $lposts = "$forum_id,$topic_id,$user_id,$datum"."";
	else {
		$lposts = explode("",$lposts[0]);
		// Complicated way of solving this problem...there is surely an easier way
		$lposts[9] = $lposts[8]; $lposts[8] = $lposts[7];
		$lposts[7] = $lposts[6]; $lposts[6] = $lposts[5];
		$lposts[5] = $lposts[4]; $lposts[4] = $lposts[3];
		$lposts[3] = $lposts[2]; $lposts[2] = $lposts[1];
		$lposts[1] = $lposts[0];
		$lposts[0] = "$forum_id,$topic_id,$user_id,$datum";
		$lposts = implode("",$lposts);
	}
	myfwrite("vars/lposts.var",$lposts,"w");
}

// Update todays posts (Version 1.1)
function update_today_posts($forum_id,$topic_id,$user_id,$datum) {
	$todayposts = myfile("vars/todayposts.var");
	if($todayposts[0] == "") $todayposts = gmdate("Yd")."$forum_id,$topic_id,$user_id,$datum";
	else {
		$todayposts = explode("",$todayposts[0]);
		if($todayposts[0] == gmdate("Yd")) $todayposts = $todayposts[0]."$todayposts[1]"."|$forum_id,$topic_id,$user_id,$datum";
		else $todayposts = gmdate("Yd")."$forum_id,$topic_id,$user_id,$datum";
	}
	myfwrite("vars/todayposts.var",$todayposts,"w");
}

// Encodes a string (Version 1.1)
function mycrypt($text) {
	return crypt($text,"Xb");
}

// Make a link to a user using his name (Version 1.1)
function get_user_link($user_id) {
	if($user_data = myfile("members/$user_id.xbb")) $user_link = "<a href=\"index.php?upb=profile&profile_id=$user_id\">".killnl($user_data[0])."</a>";
	else $user_link = 'Deleted';
	return $user_link;
}

?>