<?

/* index.php - Displays the forum (c) 2001/2002 The X-Crew */
/* translated by DFME <dfme@bluemail.ch> */

require_once("settings.php");
require_once("functions.php");
require_once("auth.php");
require_once("mailsettings.php");

$allowed = 1; // Access is granted

if($session_upbconnection != "1") { // Checks if the user already visited the forum in this session
	$session_upbconnection = 1;
	session_register("session_upbconnection"); // Plant session-variable
	mylog("6","User connected (IP: %2)");
}

if(round(diskfreespace(".")/1024) <= $warn_admin_fds*1024) { // Checks if enough memory is available
	$fds_file = myfile("vars/fds.var");
	if($fds_file[0] != "1" && $fds_file[0] != "2") {
		mylog("1","Warning: Not enough free memory ; Admin has been notified"); // log
		myfwrite("vars/fds.var",1,"w"); $datum = makesdatum(mydate());
		mymail($admin_email,"Memory status critical","The memory limit has been exceeded on the $datum !\nYou should consider taking necessary actions to free memory (i.E. delete old posts)!\n$adress_to_forum/ad_login.php");
	}

	if(round(diskfreespace(".")/1024) <= $close_forum_fds*1024) { // Checks if the alarm needs to be activated
		$uc = 1; // Activate maintenance-modus
		if($fds_file[0] != "2") {
			mylog("1","Warning: Not enough free memory ; Admin has been notified ; Forum has been closed"); // log
			myfwrite("vars/fds.var",2,"w"); $datum = makesdatum(mydate());
			mymail($admin_email,"Memory status critical. Forum has been closed","The memory limit-alarm has been exceeded on the $datum !\nThe forum has been closed and will stay closed until memory has been freed or the memory limit-alarm has been adjusted!\n$adress_to_forum/ad_login.php");
		}
	}
}

if($uc == 1 && $user_data[status] != 1) {
	?>
		<br><br><br><br><br><br><center><img src="<?=$logo_picture?>"><br><br><font face=verdana size=3 color=red><b>
		Das Forum befindet sich im Moment im Umbau. Schauen sie in ein paar Minuten einfach nochmal vorbei!<br>
		Sorry, but this board is currently under construction. Try again in a few minutes!</b></font></center>
	<?
	$allowed = 0; // Access denied
}

elseif(check_ip_access($REMOTE_ADDR,-1) != 1) {
	$endtime = get_ip_sperre_endtime($REMOTE_ADDR,-1);
	if($endtime == -1) $endtime = "At the moment the IP-ban lasts forever!";
	else {
		$endtime = ceil(($endtime - time()) / 60);
		$endtime = "The IP-ban lasts another $endtime minutes";
	}

	include("pageheader.php");
	echo navbar("Access denied!");
	?>
		<table class="tbl" width="<?=$twidth?>" border="0" cellspacing="<?=$tspacing?>" cellpadding="<?=$tpadding?>">
		<tr><th class="thnorm"><span class="thnorm">Access denied</span></th></tr>
		<tr><td class="td1"><span class="norm"><br><center>Your IP has been banned for the whole forum!<br><?=$endtime?></center><br><br></span></td></tr>
		</table>
	<?
	include("pagetail.php");

	$allowed = 0;
}

elseif($must_be_logged_in == 1 && $user_logged_in != 1 && $upb != "register" && $upb != "login" && $upb != "regeln" & $upb != "sendpw") {
	include("pageheader.php");
	echo navbar("Access denied!");
	?>
		<table class="tbl" width="<?=$twidth?>" cellpadding="<?=$tpadding?>" cellspacing="<?=$tspacing?>" border="0">
		<tr><th class="thnorm"><span class="thnorm">Access denied</span></th></tr>
		<tr><td class="td1"><span class="norm"><br><center>This forum can only be accessed when logged in and registered.<br><a href="index.php?upb=register<?=$MYSID2?>">Register</a> or <a href="index.php?upb=login<?=$MYSID2?>">login</a>.</center><br></span></td></tr>
		</table>
	<?
	include("pagetail.php");
	$allowed = 0;
}

if($allowed == 1) {
	switch($upb) {

		// reply.php
		case "reply":
			setcookie("upbwhere","index.php?upb=reply&forum_id=$forum_id&thread_id=$thread_id");
			include("pageheader.php");
			include("reply.php");
			include("pagetail.php");
		break;

		// newtopic.php
		case "newtopic":
			setcookie("upbwhere","index.php?upb=newtopic&forum_id=$forum_id");
			include("pageheader.php");
			include("newtopic.php");
			include("pagetail.php");
		break;

		// edit.php
		case "edit":
			include("pageheader.php");
			include("edit.php");
			include("pagetail.php");
		break;

		// profile.php
		case "profile":
			include("profile.php");
			include("pagetail.php");
		break;

		// login.php
		case "login":
			include("login.php");
			include("pagetail.php");
		break;

		// logout.php
		case "logout":
			include("logout.php");
		break;

		// faq.php
		case "faq":
			include("pageheader.php");
			include("faq.php");
			include("pagetail.php");
		break;

		// register.php
		case "register":
			include("register.php");
			include("pagetail.php");
		break;

		// pm.php
		case "pm":
			include("pm.php");
			include("pagetail.php");
		break;

		// regeln.php
		case "regeln":
			include("pageheader.php");
			include("regeln.php");
			include("pagetail.php");
		break;

		// search.php
		case "search":
			include("pageheader.php");
			include("search.php");
			include("pagetail.php");
		break;

		// topic.php
		case "topic":
			include("pageheader.php");
			include("topic.php");
			include("pagetail.php");
		break;

		// wio.php
		case "wio":
			include("wio.php");
		break;

		// viewip.php
		case "viewip":
			include("pageheader.php");
			include("viewip.php");
			include("pagetail.php");
		break;

		// viewip.php
		case "mlist":
			include("pageheader.php");
			include("listmember.php");
			include("pagetail.php");
		break;

		// sendpw.php
		case "sendpw":
			include("sendpw.php");
			include("pagetail.php");
		break;

		// formmail.php
		case "formmail":
			include("pageheader.php");
			include("formmail.php");
			include("pagetail.php");
		break;

		// readforum.php
		default:
			if(check_ip_access($REMOTE_ADDR,$forum_id) != 1) {
				$endtime = get_ip_sperre_endtime($REMOTE_ADDR,$forum_id);
				if($endtime == -1) $endtime = "At the moment the IP-ban lasts forever!";
				else {
					$endtime = ceil(($endtime - time()) / 60);
					$endtime = "The IP-ban lasts another $endtime minutes";
				}

				include("pageheader.php");
				echo navbar("<a class=\"navbar\" href=\"index.php?mode=viewforum&forum_id=$forum_id$MYSID2\">".get_forum_name($forum_id)."</a>Access denied<");
				?>
					<table class="tbl"width="<?=$twidth?>" cellpadding="<?=$tpadding?>" cellspacing="<?=$tspacing?>" border=0>
					<tr><th class="thnorm"><span class="thnorm">Access denied</span></th>
					<tr><td class="td1"><span class="norm"><br><center>Your IP has been banned from this forum!<br><?=$endtime?></center><br><br></span></td></tr>
					</table>
				<?
				include("pagetail.php");
			}
			else {
				if($mode == "viewforum") {
					setcookie("upbwhere","index.php?mode=viewforum&forum_id=$forum_id"); // Redirect-Cookie after logging in
					setcookie("forum,$forum_id",time(),time()+(3600*24*365),$path_to_forum); // Cookie to register last visit
				}
				elseif($mode == "viewthread") {
					setcookie("upbwhere","index.php?mode=viewthread&forum_id=$forum_id&thread=$thread"); // Redirect-Cookie after logging in
					setcookie("topic,$forum_id,$thread",time(),time()+(3600*24*365),$path_to_forum); // Cookie to register last visit

					$temp_var = "session.tview.$forum_id.$thread";
					if($$temp_var != 1) {
						$$temp_var = 1;
						increase_topic_views($forum_id,$thread,1);
						session_register($temp_var); // The variable with the name of contents of $temp_var is being registered here. Not $temp_var itself!
					}

				}
				else setcookie("upbwhere","index.php");

				include("pageheader.php");
				include("readforum.php");
				include("pagetail.php");
			}
		break;

		// credits.php *g*
		case "credits":
			include("credits.php");
		break;
	}
}

?>