<?

/* pageheader.php - Display the pageheader and undergo adjustments (c) 2001/2002 The X-Crew */
/* translated by DFME <dfme@bluemail.ch> */

require_once("settings.php");
require_once("auth.php");

// Configure starttime (is needed in pagetail.php; loading time of the site)
	if($show_site_creation_time == 1) {
		$mtime = explode(" ",microtime());
		$starttime = $mtime[1] + $mtime[0];
	}
// End of configuration

$gzip_compressed = 0;
if($use_gzip_compression == 1) {
	if(phpversion() >= "4.0.4") {
		if(extension_loaded("zlib")) {
			ob_start("ob_gzhandler");
			$gzip_compressed = 1;
		}
	}
}

if($gzip_compressed == 0 && activate_ob == 1) {
	ob_start();
}

// WIO-Code begins here (plant cookie)
	if($user_logged_in != 1) { // Not necessary if the user is already logged in
		$set_new_cookie = 1; //  Plant the cookie
		if($session_upbwio) { // Checks if already a WIO-cookie has been planted
			if(strlen($session_upbwio) < 16) { // Cookie will only be accepted with less then 16 Charakters (Is this needed??)
				$set_new_cookie = 0; // Cookie doesn't need to be planted anymore
				$special_id = $session_upbwio; // Special-ID is being assigned (needed for WIO)
			}
		}
		if($set_new_cookie == 1) {
			$special_id = "guest".get_rand_num(10); // Create guest-ID (10-chrakters)
			$session_upbwio = $special_id;
			session_register("session_upbwio"); // Set Session-Variable with Guest-ID
		}
	}
	else {
		$special_id = $user_id; // If the user is logged in, the special-ID will be the user-ID
		if(!$session_upbwio) {
			$session_upbwio = $special_id;
			session_register("session_upbwio");
		}
	}
// end of WIO-Code

// Configuration of the toolbar and the "logged in" status
	if($wio == 1) $showwio = " | <a class=\"tbar\" href=\"index.php?upb=wio$MYSID2\">WhoIsOnline</a>"; else $showwio = "";
	if($activate_mlist == 1) $showmlist = " | <a class=\"tbar\" href=\"index.php?upb=mlist$MYSID2\">Memberslist</a>"; else $showmlist = "";

	if($user_logged_in == 1) {
		$user_status = "Logged in as ".$user_data[nick];
		$tools = "<a class=\"tbar\" href=\"index.php?upb=profile&mode=edit&profile_id=$user_id$MYSID2\">My profile</a> | <a class=\"tbar\" href=\"index.php?upb=faq$MYSID2\">FAQ</a> | <a class=\"tbar\" href=\"index.php?upb=pm&mode=overview$MYSID2\">Private messages</a> | <a class=\"tbar\" href=\"index.php?upb=search$MYSID2\">Search</a>$showwio$showmlist | <a class=\"tbar\" href=\"index.php?upb=logout$MYSID2\">Logout</a>";
	}
	else {
		$user_status = "Not logged in";
		$tools = "<a class=\"tbar\" href=\"index.php?upb=register$MYSID2\">Register</a> | <a class=\"tbar\" href=\"index.php?upb=faq$MYSID2\">FAQ</a> | <a class=\"tbar\" href=\"index.php?upb=search$MYSID2\">Search</a>$showwio$showmlist | <a class=\"tbar\" href=\"index.php?upb=login$MYSID2\">Login</a>";
	}
// End of the configuration for the toolbar and the "logged in" status

// Konfiguration der (Keine Ahnung, wie ich das nennen soll...)
	if(!$thread && $forum_id) $upb_info = "<a href=\"index.php?upb=newtopic&forum_id=$forum_id$MYSID2\"><img src=images/thema.gif border=0></a>";
	elseif($thread && $forum_id) $upb_info = "<a href=\"index.php?upb=newtopic&forum_id=$forum_id$MYSID2\"><img src=images/thema.gif border=0></a>&nbsp;<a href=\"index.php?upb=reply&thread_id=$thread&forum_id=$forum_id$MYSID2\" onfocus=\"this.blur()\"><img border=0 src=images/antwort.gif></a>";
	elseif($pmbox_id && !$pm_id) $upb_info = "<a href=\"index.php?upb=pm&pmbox_id=$pmbox_id&mode=send$MYSID2\">New</a>";
	elseif($pmbox_id && $pm_id) $upb_info = "<a href=\"index.php?upb=pm&pmbox_id=$pmbox_id&mode=send$MYSID2\">New</a> | <a href=\"index.php?upb=pm&pmbox_id=$pmbox_id&mode=reply&pm_id=$pm_id$MYSID2\">Reply</a> | <a href=\"index.php?upb=pm&pmbox_id=$pmbox_id&mode=kill&pm_id=$pm_id$MYSID2\">Delete</a>";
	else $upb_info = $upb_name;
// Ende der Konfiguration der (Immer noch keine Ahnung, wie ich das nennen soll...)

?>
<html>
<head>
<title><?=$explorer_titel?></title>

<link rel="stylesheet" href="<?=$css_file?>" type="text/css" />

<script language="JavaScript">
	window.defaultStatus = " ";
</script>
</head>
<body>
<div id="main">
<br><center><table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
 <td valign=middle width=50%><center><a href="index.php<?=$MYSID1?>" onfocus="this.blur()"><img src="<?=$logo_picture?>" border=0></a></center></td>
 <td valign=middle width=50%><center><span class="finfo"><?=$upb_info?></span><br><span class="tbar"><?=$tools?></span></center></td>
</tr>
</table></center><br>