<?

/* reply.php - Create a reply to a topic (c) 2001/2002 The X-Crew */
/* translated by DFME <dfme@bluemail.ch> */

require_once("auth.php");
require_once("mailsettings.php");

if(!$topic_id) $topic_id = $thread_id;

if(!$forum_data = get_forum_data($forum_id)) echo "No!";
elseif(!$topic_data = get_topic_data($forum_id,$topic_id)) echo "No";

elseif($user_logged_in != 1) { // If user is not logged in
	echo navbar("<a href=\"index.php?mode=viewforum&forum_id=$forum_id$MYSID2\">$forum_data[name]</a><a href=\"index.php?mode=viewthread&forum_id=$forum_id&thread=$topic_id$MYSID2\">$topic_data[title]</a>Access denied");
	include("templates/nli.php");
}

elseif($forum_data[status] == "4" && $user_data[status] != 1 && test_mod($forum_id,$user_id) != 1) { // If the forum is read only
	echo navbar("<a href=\"index.php?mode=viewforum&forum_id=$forum_id$MYSID2\">$forum_data[name]</a><a href=\"index.php?mode=viewthread&forum_id=$forum_id&thread=$topic_id$MYSID2\">$topic_data[title]</a>Access denied");
	include("templates/readonly_na.php");
}

elseif($forum_data[status] == "3" && $user_data[status] != 1 && test_mod($forum_id,$user_id) != 1 && check_user_access($user_id,$forum_id) != 1) { // If the forum's private
	echo navbar("Access denied");
	include("templates/priv_na.php");
}

elseif($topic_data[status] != "1" && $topic_data[status] != "open" && $user_data[status] != 1 && test_mod($forum_id,$user_id) != 1) {
	echo navbar("<a href=\"index.php?mode=viewforum&forum_id=$forum_id$MYSID2\">$forum_data[name]</a><a href=\"index.php?mode=viewthread&forum_id=$forum_id&thread=$topic_id$MYSID2\">$topic_data[title]</a>Topic closed");
	include("templates/topic_closed.php");
}

elseif($user_data[status] == 5 || $user_data[status] == 4) { // If the user's banned or deleted
	echo navbar("<a href=\"index.php?mode=viewforum&forum_id=$forum_id$MYSID2\">$forum_data[name]</a><a href=\"index.php?mode=viewthread&forum_id=$forum_id&thread=$topic_id$MYSID2\">$topic_data[title]</a>Access denied");
	include("templates/banned.php");
}

else {
	if($preview || !$mode) {

		if($quote != "") $quote = "[quote]".get_post($forum_id,$topic_id,$quote,$user_id)."[/quote]\r\n";

		?>
			<script language="JavaScript">
				<!--
				function setsmile(Zeichen) {
				document.beitrag.post.value = document.beitrag.post.value + Zeichen;
				}
				//-->
			</script>
		<?
		echo navbar("<a href=\"index.php?mode=viewforum&forum_id=$forum_id$MYSID2\">$forum_data[name]</a><a href=\"index.php?mode=viewthread&forum_id=$forum_id&thread=$topic_id$MYSID2\">$topic_data[title]</a>Post answer");
		if($preview) {
			$preview_post = nlbr(trim(mutate($post)));
			if($use_htmlcode == 1 && $forum_data[htmlcode] == 1) $preview_post = demutate($preview_post);
			if($show_signatur == 1 && $user_data[signatur] != "") $signatur = "<br><br>-----------------------<br>".upbcode_signatur($user_data[signatur]); else $signatur = ""; // Configuration of the signature
			if($smilies == 1) $preview_post = make_smilies($preview_post); // Falls Smilies aktiviert wurden, Text umwandeln
			if($use_upbcode == 1 && $forum_data[upbcode] == 1) $preview_post = upbcode($preview_post); // Convert text, if UPB-code has been activated
			?>
				<table class="tbl" width="<?=$twidth?>" border=0 cellspacing="<?=$tspacing?>" cellpadding="<?=$tpadding?>">
				<tr><th align="left" class="thnorm"><span class="thnorm">Preview</span></th></tr>
				<tr><td class="td1"><span class="norm"><?=$preview_post.$signatur?></span></td></tr>
				</table><br>
			<?
		}

		if(!$preview || $show_signatur == 1) $checked[sig] = " checked";
		if(!$preview || $smilies == 1) $checked[smilies] = " checked";
		if(!$preview || $use_upbcode == 1) $checked[upbcode] = " checked";
		if($use_htmlcode == 1) $checked[htmlcode] = " checked";

		?>
			<form method = "post" action="index.php?upb=reply&mode=save<?=$MYSID2?>" name=beitrag>
			<table class="tbl" width=100% border=0 cellspacing="<?=$tspacing?>" cellpadding="<?=$tpadding?>">
			<tr><th class="thnorm" colspan=2 align="left"><span class="thnorm">Post reply</span></th></tr>
			<tr>
			 <td class="td1" width=20%><span class="norm"><b>Illustration for the post:</b></span></td>
	 		 <td class="td1" width=80%><? include("tsmilies.php") ?></td>
			<tr>
			 <td class="td1" width=20% valign=top><span class="norm"><b>Text:</b><br><br><? include("smilies.php") ?></span></td>
			 <td class="td1" width=80%><textarea name="post" rows=10 cols=60><?=$quote?><?=trim(mutate($post))?></textarea></td>
			</tr>
			<? if($tspacing < 1) echo "<tr><td class=\"td1\" colspan=2><hr></td></tr>"; ?>
			<tr>
			 <td class="td1" width=20% valign=top><span class="norm"><b>Options:</b></span></td>
			 <td class="td1" width=80%><span class="norm"><input type="checkbox" name="show_signatur" value="1" onfocus="this.blur()"<?=$checked[sig]?>> Show signature?<br><input type="checkbox" name="smilies" value="1" onfocus="this.blur()"<?=$checked[smilies]?>> Activate smilies?
		<?
		if($forum_data[upbcode] == 1) echo "<br><input type=\"checkbox\" name=\"use_upbcode\" value=\"1\" onfocus=\"this.blur()\"$checked[upbcode]> Acivate UPB code?";
		if($forum_data[htmlcode] == 1) echo "<br><input type=\"checkbox\" name=\"use_htmlcode\" value=\"1\" onfocus=\"this.blur()\"$checked[htmlcode]> Activate HTML?";
		?>
			</span></td>
			</tr>
			<input type=hidden name="topic_id" value="<?=$topic_id?>"><input type=hidden name=forum_id value="<?=$forum_id?>">
			</table><br><input type=submit value="Post reply">&nbsp;&nbsp;&nbsp;<input type="submit" name="preview" value="Preview"></form>
			<iframe src="index.php?mode=viewthread&forum_id=<?=$forum_id?>&thread=<?=$topic_id?>&reply=1" scrolling=auto width=<?=$twidth?> height=400 align=center>Your browser does not support I-Frames</iframe>
			</center>
		<?
	}

	/* Wer das hier liest, ist verrckt :) -> whoever reads this is nuts*/

	if ($mode == "save" && !$preview) {

		$new_id = $topic_data[lpost_id]+1; // Set ID of the post
		$datum = mydate(); // Set date

		// Sendmail code
			if($topic_data[smstatus] == 1 && $sendmail == 1) {
				$tosend = $new_reply_text."\n$adress_to_forum/index.php?upb=readforum&mode=viewthread&forum_id=$forum_id&thread=$topic_id";
				mymail(get_user_email($topic_data[creator_id]),"There's a new reply to your topic",$tosend);
			}
		// End of sendmail code

		$post = nlbr(trim(mutate($post))); // Optimise post for storage
		$towrite = "$new_id"."$user_id"."$datum"."$post"."$REMOTE_ADDR"."$show_signatur"."$tsmilie"."$smilies"."$use_upbcode"."$use_htmlcode"."\r\n"; // Prepare data
		myfwrite("foren/$forum_id-$topic_id.xbb",$towrite,"a"); // Write data to file

		rank_topic($forum_id,$topic_id); increase_posts_number($forum_id); increase_user_posts($user_id); update_last_post($forum_id,$datum,$user_id,$topic_id); update_topic_time($forum_id,$topic_id); // Update all infos (Forum-posts, Userposts...)

		if($forum_data[status] != 3 && $forum_data[status] != 5) {
			update_last_posts($forum_id,$topic_id,$user_id,$datum);
			update_today_posts($forum_id,$topic_id,$user_id,$datum);
		}


		mylog("4","%1: New answer created: index.php?mode=viewthread&forum_id=$forum_id&thread=$topic_id (IP: %2)");

		echo navbar("<a href=\"index.php?mode=viewforum&forum_id=$forum_id$MYSID2\">$forum_data[name]</a><a href=\"index.php?mode=viewthread&forum_id=$forum_id&thread=$topic_id$MYSID2\">$topic_data[title]</a>Reply posted");
		include("templates/na_erstellt.php");
	}
}

wio_set("reply");

?>