<?

/* settings.php - Sets all options and settings (c) 2001/2002 The X-Crew */
/* translated by DFME <dfme@bluemail.ch> */

/***  Forum options (should be changed appropriately) ***/

// Path to the forum (NOT the WWW-address (i.E. www.something.com/forum)...it's more like: /path/to/forum . If you're not sure what I'm talking about leave the / (should work but not recommended!!!))
// To check if the path is correct use the following script "testsettings.php" (for more info about testsetting.php read the readme file)
$path_to_forum = "/";

// WWW-Address to the forum, i.E. http://www.mydomain.com/forum (don't forget http:// )
$adress_to_forum = "http://www.mydomain.com/forum";

// Name of the website to which this forum belongs to (will always be displayed on the bottom of the page)
$site_name = "Website";

// Address of the website to which this forum belongs to ("don't forget http://"; will always be displayed on the bottom of the page)
$site_adress = "http://www.mydomain.com";

// Contact Emailaddress (will always be displyed on the bottom of the page)
$site_email = "contact@mydomain.com";

// Forumname
$upb_name = "Forum";

// <title> Contents of the explorer's heading
$explorer_titel = "Forum";

// Logo (Path or URL)
$logo_picture = "images/blank.gif";

// Set the time-offset (i.E. +0100 for Germany or -0700 for USA)
$gmt_offset = "-0700";

// Log Options (For more info read the readme file) (Default: "")
$log_options = "";

// Sends the admin an e-mail when the remaining memory on the site (in MB) has reached this value (Default: 3; rational numbers should be seperated by a dot ,i.E. 2.5)
// The e-mail address must be set in mailsetting.php!
$warn_admin_fds = 3;

// Closes the forum when the remaining memory on the site (in MB) has reached this value (Default: 1; rational numbers should be seperated by a . , i.E. 2.5)
$close_forum_fds = 1;

// Should the password of a new member be sent via e-mail? Or may the user create his own when registering? (1 = vai e-mail, 0 = create his own; Default: 0)
// Warning: In order to use this function, mailfunction must be activated in "mailsetting.php"!
$create_reg_pw = 0;




/*** More options ***/

// Close forum while updating?(Don't forget to set this value back to 0 once you're done) (1 = on, 0 = off; Default: 0)
$uc = 0;

// Number of topics that will be displayed per page (Default: 30)
$topics_per_page = 30;

// Number of posts that will be displayed per page (Default: 20)
$posts_per_page = 20;

// How many minutes a user's counted as "online" (Default: 15)
$wio_timeout = 15;

// WhoIsOnline (Shows who's online at the moment) (1 = on, 0 = off; Default: 1)
$wio = 1;

// Display the sites statistics (how long does the site need to create a page, etc.)? (1 = yes, 0 = no; Default: 1)
$show_site_creation_time = 1;

// Display the board statistics (number of topics/posts...)? (1 = yes, 0 = no; Default: 1)
$show_board_stats = 1;

// Should the last five posts be displayed in the forum-overview? (1 = yes, 0 = no; Default: 1)
$show_lposts = 1;

// Display the category? (1 = yes, 0 = no; Default: 1)
$show_kats = 1;

// Should the title of a topic or post be censored? (1 = yes, 0 = no; Default: 0)
$censored = 0;

// Only registered members may enter a forum (1 = yes, 0 = no; Default: 0)
$must_be_logged_in = 0;

// Status of the admin (Default: Administrator)
$var_admin = "Administrator";

// Status of a moderator (Default: Moderator)
$var_mod = "Moderator";

// Status for someone that has been banned (Default: Banned)
$var_banned = "Banned";

// Status for someone that has been deleted (Default: Deleted)
$var_killed = "Deleted";

// Number of stars for the admin
$stars_admin = 6;

// Number of stars for the moderator
$stars_mod = 5;

// Set the position of the news (1 = Position 1, 2 = Position 2; Default: 2)
$news_position = 1;

// As of how many replies is a topic "hot"? (Default: 15)
$topic_is_hot = 15;

// Sets for how long a user can edit/delete his post (in minutes, -1 = always; Default: -1)
$post_edittime = -1;

// Does the user have to be logged in to send an e-mail over a form? (1 = yes, 0 = no; Default: 1)
$formmail_mbli = 1;

// Should the memberslist be activated? (with many members this may use a lot of resources (but I'm not sure...)!) (1 = yes, 0 = no; Default: 1)
$activate_mlist = 1;




/*** CSS-Datei ***/

// Path or URL of the CSS-file
$css_file = "styles/standard.css";




/*** Settings of all tables ***/

// table width (Default: 95%);
$twidth = "95%";

// cellspacing (Default: 0)
$tspacing = 0;

// cellpadding (Default: 4)
$tpadding = 4;




/*** more options (should not be changed!) ***/

// Sets if a SID should be attached to the URL in any case (1 = yes, 0 = no; Default: 0)
$append_sid_url = 0;

// Should gzip be used (if available)? With gzip "on" there will be less traffic on your site (1 = yes, 0 = no; Default: 1)
$use_gzip_compression = 1;

// Activate filecaching? (1 = yes, 0 = no; Default: 1)
$use_file_caching = 1;

// Should the output be "cached" in any case? (1 = yes, 0 = no; Default: 0)
$activate_ob = 0;

?>